Subject: Router Alert value codes

From: Brian E Carpenter <[email-masked]>
Date: Thu, 9 Jul 2020 14:34:00 +1200

Hi,

Describing the Router Alert hop-by-hop option, RFC2711 says:

>       Value:  A 2 octet code in network byte order with the following
>       values:
> 
>          0        Datagram contains a Multicast Listener Discovery
>                   message [RFC-2710].
>          1        Datagram contains RSVP message.
>          2        Datagram contains an Active Networks message.
>          3-65535  Reserved to IANA for future use.
> 
>       Alignment requirement: 2n+0
> 
>       Values are registered and maintained by the IANA.  See section 5.0
>       for more details.
...
> 5.0 IANA Considerations
> 
>    The value field described in Section 2.1 is registered and maintained
>    by IANA. New values are to be assigned via IETF Consensus as defined
>    in RFC 2434 [RFC-2434].

As far as I can tell, IANA has no such registry. Logically, it would be part of https://www.iana.org/assignments/ipv6-parameters/ipv6-parameters.xhtml#ipv6-parameters

Is this a problem? Are there other defined uses of Router Alert than MLD, RSVP or Active Networks?

Regards
   Brian Carpenter

---

From: Erik Kline <[email-masked]>
Date: Wed, 8 Jul 2020 21:48:29 -0700

On Wed, Jul 8, 2020 at 7:34 PM Brian E Carpenter
<[email-masked]> wrote:
> ....

https://www.iana.org/assignments/ipv6-routeralert-values/ipv6-routeralert-values.xhtml
?

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 9 Jul 2020 17:29:23 +1200

> https://www.iana.org/assignments/ipv6-routeralert-values/ipv6-routeralert-values.xhtml

Interesting. So why isn't it part of the "ipv6-parameters" structure? It didn't occur to me to look for it as a stand-alone item.

Thanks
   Brian

---

From: Erik Kline <[email-masked]>
Date: Wed, 8 Jul 2020 22:55:12 -0700

A fair question.  I had occasion to look for it two days ago and ended
up searching for "site:iana.org/assignments ipv6 router alert"
(site:foo is my favorite search cheat code).

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 9 Jul 2020 09:18:37 +0100

Oh, someone said "router alert" and I woke up. Sorry for any consequences of
that.

Can I remind you to look at RFC 6398 to get some consensus context on the
future use of router alerts. Of course, that consensus can be changed, but
it is a starting point for where we are today.

IIRC there was no registry for IPv4 router alerts for a long time. Then
along came RFC 5330 to set one up for IPv4. 

As noted in this thread, there is a registry for IPv6 router alerts created
for RFC 2711 at
https://www.iana.org/assignments/ipv6-routeralert-values/ipv6-routeralert-va
lues.xhtml

Cheers,
Adrian
-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Erik Kline
Sent: 09 July 2020 06:55
To: Brian E Carpenter <[email-masked]>
Cc: 6man <[email-masked]>
Subject: Re: Router Alert value codes

On Wed, Jul 8, 2020 at 10:29 PM Brian E Carpenter
<[email-masked]> wrote:
> >> As far as I can tell, IANA has no such registry. Logically, it would be
part of
https://www.iana.org/assignments/ipv6-parameters/ipv6-parameters.xhtml#ipv6-
parameters
> >> Is this a problem? Are there other defined uses of Router Alert than
MLD, RSVP or Active Networks?
https://www.iana.org/assignments/ipv6-routeralert-values/ipv6-routeralert-va
lues.xhtml
> > ?
> >
>
> Interesting. So why isn't it part of the "ipv6-parameters" structure? It
didn't occur to me to look for it as a stand-alone item.
>    Brian

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Erik Kline <[email-masked]>
Date: Thu, 9 Jul 2020 09:29:45 -0700

> it is a starting point for where we are today.

Thanks for the pointer to this doc.  My quick scan of it suggests that
it's more about non-link-local use cases?

I had been wondering about whether a Router Alert would be of use in
the GraND gratuitous NA strategy...

---

From: Ron Bonica <[email-masked]>
Date: Thu, 9 Jul 2020 17:58:39 +0000

Brian,

We might want to consider RFC 6398 when discussing the future of the Router Alert Option.

                                                                        Ron

Juniper Business Use Only

-----Original Message-----
From: ipv6 <[email-masked]> On Behalf Of Brian E Carpenter
Sent: Wednesday, July 8, 2020 10:34 PM
To: 6man <[email-masked]>
Subject: Router Alert value codes

[External Email. Be cautious of content]

Hi,

....
>    by IANA. New values are to be assigned via IETF Consensus as defined

As far as I can tell, IANA has no such registry. Logically, it would be part of https://urldefense.com/v3/__https://www.iana.org/assignments/ipv6-parameters/ipv6-parameters.xhtml*ipv6-parameters__;Iw!!NEt6yMaO-gk!Uwc-vD4GRcLF8nMb8CLmerOmGMXhaKAu4YGZhcRyGBF7V8gETXdFriFvYOM5_dUG$

Regards
   Brian Carpenter

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipv6__;!!NEt6yMaO-gk!Uwc-vD4GRcLF8nMb8CLmerOmGMXhaKAu4YGZhcRyGBF7V8gETXdFriFvYIcBb8ng$
--------------------------------------------------------------------